IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_244_OZELLIKLI_IZLEM_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_244_OZELLIKLI_IZLEM_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_244_OZELLIKLI_IZLEM_KAYIT] 
	@HDOSYAID INT=0,
	@HYIZLEMID INT=0,
	@TUMUNUTEKRAR BIT = 0
AS
BEGIN
	--SPUSS_244_OZELLIKLI_IZLEM_KAYIT 3484160,1074585,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @GONDERIMTABLOSU TABLE 
		(
			GONDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)

	IF OBJECT_ID('tempdb..#TMPHYATIS') IS NOT NULL 
		DROP TABLE #TMPHYATIS

	IF OBJECT_ID('tempdb..#TMPOZELLIKLIIZLEM') IS NOT NULL 
		DROP TABLE #TMPOZELLIKLIIZLEM


	SELECT 
	HDOSYA.SUBEID AS HDOSYA_SUBEID,
	SUBELER.SUBEADI AS SUBELER_SUBEADI,
	HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,
	HYATIS.HESAPISLID AS HYATIS_HESAPISLID,
	HYATIS.HYATISID AS  HYATIS_HYATISID,
	HYATIS.HYYATISTARIH AS  HYATIS_HYYATISTARIH,
	HYATIS.HYCIKISTARIH AS  HYATIS_HYCIKISTARIH,
	HYATIS.CIKISSEVKTURUID AS HYATIS_CIKISSEVKTURUID,
	HYATIS.HASTATIPI AS HYATIS_HASTATIPI,  
	ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU
	INTO #TMPHYATIS
	FROM HYATIS WITH(NOLOCK)
	JOIN HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID = HYATIS.HESAPISLID   
	LEFT JOIN	 HDOSYA WITH(NOLOCK) ON HDOSYA.HDOSYAID = HYATIS.HDOSYAID 
	LEFT JOIN	 SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
	WHERE HESAPISL.IPTAL = 0 
	  AND HESAPISL.ONAYLI = 1 
	  AND HESAPISL.TEKLIF = 0
	  AND HESAPISL.SNKAYDET = 1
	  AND HDOSYA.HDIPTAL = 0
	  AND HDOSYA.HDOSYAID = @HDOSYAID 	


	SELECT HYIZLEM.HYIZLEMID AS HYIZLEM_HYIZLEMID,			
			HYIZLEM.HYATISID AS HYIZLEM_HYATISID,		
			HYIZLEM.YBHESAPISLID AS HYIZLEM_YBHESAPISLID, 
			HYIZLEM.IZLEM AS HYIZLEM_IZLEMNOTU ,		    
			HYIZLEM.TARIH AS HYIZLEM_TARIH, 
			HYIZLEM.KAYITTARIHI AS HYIZLEM_KAYITTARIHI, 
			HYATIS.HYYATISTARIH AS HYATIS_HYYATISTARIH,
			HYATIS.HDOSYAID,
			HYATIS.HESAPISLID AS HYATIS_HESAPISLID,
			
			HYOZELLIKLIIZLEM.YOGUNBAKIMDAMI AS HYOZELLIKLIIZLEM_YOGUNBAKIMDAMI, 
			HYOZELLIKLIIZLEM.HASTANEDEIZOLASYONAMACLIYATISMI AS HYOZELLIKLIIZLEM_HASTANEDEIZOLASYONAMACLIYATISMI,
			HYOZELLIKLIIZLEM.HASTANEDECOVIDDISIYATISMI AS HYOZELLIKLIIZLEM_HASTANEDECOVIDDISIYATISMI,
			HYOZELLIKLIIZLEM.KLINIKBULGUVARMI AS HYOZELLIKLIIZLEM_KLINIKBULGUVARMI,
			HYOZELLIKLIIZLEM.BTCEKILDIMI AS HYOZELLIKLIIZLEM_BTCEKILDIMI,
			HYOZELLIKLIIZLEM.PNOMONIVARMI AS HYOZELLIKLIIZLEM_PNOMONIVARMI,
			HYOZELLIKLIIZLEM.PAO2FIO2ORANI AS HYOZELLIKLIIZLEM_PAO2FIO2ORANI,
			HYOZELLIKLIIZLEM.BT_SONUCU AS HYOZELLIKLIIZLEM_BT_SONUCU,
			HYOZELLIKLIIZLEM.ENTUBASYONVARMI AS HYOZELLIKLIIZLEM_ENTUBASYONVARMI,
			HYOZELLIKLIIZLEM.GENELDURUM AS HYOZELLIKLIIZLEM_GENELDURUM,
			HYOZELLIKLIIZLEM.YUKSEKDOZCVITAMINI AS HYOZELLIKLIIZLEM_YUKSEKDOZCVITAMINI,
			HYOZELLIKLIIZLEM.HIDROKSIKLOROKIN AS HYOZELLIKLIIZLEM_HIDROKSIKLOROKIN,
			HYOZELLIKLIIZLEM.KALETRA AS HYOZELLIKLIIZLEM_KALETRA,
			HYOZELLIKLIIZLEM.OSELTAMIVIR75GRTANIFLU AS HYOZELLIKLIIZLEM_OSELTAMIVIR75GRTANIFLU,
			HYOZELLIKLIIZLEM.AZITROMISIN AS HYOZELLIKLIIZLEM_AZITROMISIN,
			HYOZELLIKLIIZLEM.FAVIPAVIRAVIGAN AS HYOZELLIKLIIZLEM_FAVIPAVIRAVIGAN , 
			TDRKIMLIK.DRTCKIMLIKNO AS TDRKIMLIK_DRTCKIMLIKNO,
			TDRKIMLIK.DRCEP AS TDRKIMLIK_DRCEP      	
	INTO #TMPOZELLIKLIIZLEM
	FROM		HYATIS
	INNER JOIN HYIZLEM ON HYIZLEM.HYATISID = HYATIS.HYATISID
	INNER JOIN HYOZELLIKLIIZLEM ON HYOZELLIKLIIZLEM.HYIZLEMID=HYIZLEM.HYIZLEMID
    INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = HYATIS.HDOSYAID
	INNER JOIN TDRKIMLIK ON TDRKIMLIK.DRID = HYIZLEM.DOKTORID 
	WHERE HYATIS.HDOSYAID = @HDOSYAID
		AND (@HYIZLEMID=0 OR HYIZLEM.HYIZLEMID = @HYIZLEMID)
		AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(HYIZLEM.OZELLIKLIIZLEMGONDERILDI,0)=0))
		AND DBO.TARIHAL(HDOSYA.GSSCIKISTARIHI)>HYIZLEM.TARIH 
	ORDER BY KAYITTARIHI DESC

		

	IF NOT EXISTS(SELECT HYATIS_HYCIKISTARIH FROM #TMPHYATIS )
		SET @HATA = @HATA+ 'Hastanın çıkış tarihi girilmemiş! '

	IF (SELECT COUNT(*) FROM #TMPOZELLIKLIIZLEM) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Dosyaya ait özellikli izlem kaydı bulunamadı! '
	END 

	IF (SELECT COUNT(*) FROM #TMPHYATIS WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '

	IF (SELECT HDOSYA_SUBEID FROM #TMPHYATIS WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine yoğun bakım kaydı yapılamaz. '


	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPHYATIS
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END


	IF @HATA = '' AND @SAYIHATA=0
	BEGIN


	
				
						BEGIN TRY
							INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID) 
							SELECT							 
								(
								SELECT 
								   NEWID() as 'messageGuid/@value',
								   '1' as 'messageType/@version',
								   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
								   '244' as 'messageType/@code',
								   'Ozellikli Izlem Veri Seti (Hastane)' as 'messageType/@value',
								   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										 (
						 
											SELECT	
												'1' AS 'healthcareProvider/@version',
												'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												SAGLIKNETKURUMKODU AS 'healthcareProvider/@code',
												SUBELER_SUBEADI as 'healthcareProvider/@value'  
												FOR XML PATH('author'), TYPE
										  ),
											'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value',
											(
											SELECT 
												(
													SELECT
														ISNULL(HDOSYA_SNOTAKIPNO,'') AS 'SYSTakipNo/@value'
													FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE
												),
												(
													SELECT														

														(
															SELECT 
																'1' AS 'YOGUN_BAKIMDA_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'YOGUN_BAKIMDA_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_YOGUNBAKIMDAMI=1 THEN '1'ELSE '2' END AS 'YOGUN_BAKIMDA_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_YOGUNBAKIMDAMI = 1 THEN 'EVET' ELSE 'HAYIR' END AS 'YOGUN_BAKIMDA_MI/@value',
																'1' AS 'HASTANEDE_IZOLASYON_AMACLI_YATIS_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'HASTANEDE_IZOLASYON_AMACLI_YATIS_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_HASTANEDEIZOLASYONAMACLIYATISMI=1 THEN '1'ELSE '2' END AS 'HASTANEDE_IZOLASYON_AMACLI_YATIS_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_HASTANEDEIZOLASYONAMACLIYATISMI = 1 THEN 'EVET' ELSE	'HAYIR'	END AS 'HASTANEDE_IZOLASYON_AMACLI_YATIS_MI/@value',
															    '1' AS 'HASTANEDE_COVID_DISI_YATIS_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'HASTANEDE_COVID_DISI_YATIS_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_HASTANEDECOVIDDISIYATISMI = '1' THEN '1' ELSE '2' END AS 'HASTANEDE_COVID_DISI_YATIS_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_HASTANEDECOVIDDISIYATISMI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'HASTANEDE_COVID_DISI_YATIS_MI/@value',
															    '1' AS 'KLINIK_BULGU_VAR_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KLINIK_BULGU_VAR_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_KLINIKBULGUVARMI = '1' THEN '1' ELSE '2' END AS 'KLINIK_BULGU_VAR_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_KLINIKBULGUVARMI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'KLINIK_BULGU_VAR_MI/@value',	
															    '1' AS 'BT_CEKILDI_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'BT_CEKILDI_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI = '1' THEN '1' ELSE '2' END AS 'BT_CEKILDI_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'BT_CEKILDI_MI/@value',																																 
																ISNULL(HYIZLEM_IZLEMNOTU, '') AS 'IZLEM_NOTU/@value',																
															    '1' AS 'PNOMONI_VAR_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'PNOMONI_VAR_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_PNOMONIVARMI = '1' THEN '1' ELSE '2' END AS 'PNOMONI_VAR_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_PNOMONIVARMI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'PNOMONI_VAR_MI/@value',																	
																ISNULL(HYOZELLIKLIIZLEM_PAO2FIO2ORANI, '') AS 'PAO2_FIO2_ORANI/@value',	
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI=1
																THEN '1' 
																END	AS 'BT_SONUCU/@version',
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI=1
																THEN 'c1dcfa5d-9679-4b0c-876b-15f60d8f2415' 
																END	AS 'BT_SONUCU/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI=1
																	 THEN ISNULL(HYOZELLIKLIIZLEM_BT_SONUCU, '') 
																	END	AS 'BT_SONUCU/@code',
																CASE WHEN HYOZELLIKLIIZLEM_BTCEKILDIMI=1
																	 THEN 
																	ISNULL((CASE
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '1' 
																	THEN 'NORMAL'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '2' THEN
																		'BAKTERİYEL ENFEKSİYON İLE UYUMLU'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '3' THEN
																		'VİRAL PNÖMONİ İLE UYUMLU'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '4' THEN
																		'MİX ENFEKSİYON İLE UYUMLU (COVID 19 DIŞI)'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '5' THEN
																		'COVID 19 İLE UYUMLU'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '6' THEN
																		'ENFEKSİYON DIŞI BT BULGUSU'
																	WHEN HYOZELLIKLIIZLEM_BT_SONUCU = '7' THEN
																		'SONUÇ BEKLENİYOR'
																	ELSE ''
																		END) ,'') 
																	END	AS 'BT_SONUCU/@value',
																ISNULL(TDRKIMLIK_DRTCKIMLIKNO,'')  AS 'IZLEM_YAPAN_HEKIM_KIMLIK_NUMARASI/@value',
																ISNULL(TDRKIMLIK_DRCEP,'') AS 'IZLEM_YAPAN_HEKIM_TELEFON/@value',
	
																ISNULL(replace(convert(varchar(8), HYIZLEM_TARIH, 112)+convert(varchar(8),HYATIS_HYYATISTARIH, 114), ':',''),'')AS 'IZLEM_TARIHI/@value',
															    '1' AS 'ENTUBASYON_VAR_MI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ENTUBASYON_VAR_MI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_ENTUBASYONVARMI = '1' THEN '1' ELSE '2' END AS 'ENTUBASYON_VAR_MI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_ENTUBASYONVARMI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'ENTUBASYON_VAR_MI/@value',
																ISNULL(HYATIS_HESAPISLID, '') AS 'IZLEM_REFERANS_NUMARASI/@value',
															    '1' AS 'GENEL_DURUM/@version',
																'2bdb33d5-b077-4fe9-95e2-03e192c64f80' AS 'GENEL_DURUM/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_GENELDURUM = '1' THEN '1' ELSE '2' END AS 'GENEL_DURUM/@code',
																CASE WHEN HYOZELLIKLIIZLEM_GENELDURUM = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'GENEL_DURUM/@value',
																																
																(SELECT 
															    '1' AS 'YUKSEK_DOZ_C_VITAMINI/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'YUKSEK_DOZ_C_VITAMINI/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_YUKSEKDOZCVITAMINI = '1' THEN '1' ELSE '2' END AS 'YUKSEK_DOZ_C_VITAMINI/@code',
																CASE WHEN HYOZELLIKLIIZLEM_YUKSEKDOZCVITAMINI = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'YUKSEK_DOZ_C_VITAMINI/@value',
															    '1' AS 'HIDROKSIKLOROKIN/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'HIDROKSIKLOROKIN/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_HIDROKSIKLOROKIN = '1' THEN '1' ELSE '2' END AS 'HIDROKSIKLOROKIN/@code',
																CASE WHEN HYOZELLIKLIIZLEM_HIDROKSIKLOROKIN = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'HIDROKSIKLOROKIN/@value',
															    '1' AS 'KALETRA/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KALETRA/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_KALETRA = '1' THEN '1' ELSE '2' END AS 'KALETRA/@code',
																CASE WHEN HYOZELLIKLIIZLEM_KALETRA = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'KALETRA/@value',
															    '1' AS 'OSELTAMIVIR_75GR_TANIFLU/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'OSELTAMIVIR_75GR_TANIFLU/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_OSELTAMIVIR75GRTANIFLU = '1' THEN '1' ELSE '2' END AS 'OSELTAMIVIR_75GR_TANIFLU/@code',
																CASE WHEN HYOZELLIKLIIZLEM_OSELTAMIVIR75GRTANIFLU = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'OSELTAMIVIR_75GR_TANIFLU/@value',
															    '1' AS 'AZITROMISIN/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'AZITROMISIN/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_AZITROMISIN = '1' THEN '1' ELSE '2' END AS 'AZITROMISIN/@code',
																CASE WHEN HYOZELLIKLIIZLEM_AZITROMISIN = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'AZITROMISIN/@value',
															    '1' AS 'FAVIPAVIR_AVIGAN/@version',
																'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'FAVIPAVIR_AVIGAN/@codeSystemGuid',
																CASE WHEN HYOZELLIKLIIZLEM_FAVIPAVIRAVIGAN = '1' THEN '1' ELSE '2' END AS 'FAVIPAVIR_AVIGAN/@code',
																CASE WHEN HYOZELLIKLIIZLEM_FAVIPAVIRAVIGAN = '1' THEN 'EVET' ELSE 'HAYIR' END AS 'FAVIPAVIR_AVIGAN/@value'
									
																FOR XML PATH('UYGULANAN_TEDAVI_BILGILERI'),TYPE)
																												
															FROM #TMPOZELLIKLIIZLEM
															WHERE HYIZLEM_HYATISID = HYATIS_HYATISID
															FOR XML PATH('OZELLIKLI_IZLEM_BILGISI'),TYPE
														)									
									     
													FOR XML PATH('OZELLIKLI_IZLEM_HASTANE_BILGILERI'),TYPE
												)
						
												FOR XML PATH('recordData'), TYPE)
		   
					FROM #TMPHYATIS
					FOR XML PATH(''), ROOT('SYSMessage')
	
	
								) AS GONDERILECEKXML,
								@HATA AS HATA, 
								@MESAJ AS MESAJ,
								@XMLBASLIK AS XMLBASLIK,
								'' AS TABLOID,
								0 AS MINID,
								0 AS MAXID

						END TRY
						BEGIN CATCH
							SET @HATA = ERROR_MESSAGE()
							IF @HATA = ''
								SET @HATA = 'Bilinmeyen bir hata oluştu'

							INSERT INTO ZAMANLAYICIHATALARI (HDOSYAID,ISLEMKODU,TABLOID,HATAVEREN,HATAKODU,HATA,MESAJ,OLUSTURULMAZAMANI)
							SELECT @HDOSYAID,'244','','SP','',@HATA,@MESAJ,GETDATE()
			
							INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)			
							SELECT	'' AS GONDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									'' AS TABLOID,
									0 AS MINID,
									0 AS MAXID
			

						END CATCH
	

	END
	ELSE
	BEGIN
		IF @HATA<>''		
			INSERT INTO ZAMANLAYICIHATALARI (HDOSYAID,ISLEMKODU,TABLOID,HATAVEREN,HATAKODU,HATA,MESAJ,OLUSTURULMAZAMANI)
			SELECT @HDOSYAID,'244','','SP','',@HATA,@MESAJ,GETDATE()
		
		INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS GONDERILECEKXML,
				@HATA AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				'' AS TABLOID,
				0 AS MINID,
				0 AS MAXID
				
		SET @HATA = ''				 
	END


	
	IF OBJECT_ID('tempdb..#TMPHYATIS') IS NOT NULL 
		DROP TABLE #TMPHYATIS

	IF OBJECT_ID('tempdb..#TMPOZELLIKLIIZLEM') IS NOT NULL 
		DROP TABLE #TMPOZELLIKLIIZLEM


	SELECT * FROM @GONDERIMTABLOSU


END

GO


